# QStyleOptionDockWidget Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOption.

### Constructor

- void QStyleOptionDockWidget()
- void QStyleOptionDockWidget(QStyleOptionDockWidget other)

### Constructor Properties

- prototype: The QStyleOptionDockWidget prototype object
- Version = 1
- StyleOptionVersion( value )
- Type = SO_DockWidget
- StyleOptionType( value )

### Instance Properties

QStyleOptionDockWidget objects have no special properties beyond those inherited from the QStyleOptionDockWidget prototype object.